Bug 1638136 - [abrt] gpaste: g_paste_history(): gpaste-client killed by SIGSEGV
Summary: [abrt] gpaste: g_paste_history(): gpaste-client killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:be00a97e3a58d39cd2ad82026d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 20:18 UTC by Juan Orti Alcaine
Modified: 2019-11-27 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:54:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.24 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: cgroup (389 bytes, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: core_backtrace (4.40 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: cpuinfo (1.55 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: dso_list (6.04 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: environ (6.64 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: exploitable (110 bytes, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: limits (1.29 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: maps (38.43 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: mountinfo (4.77 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: open_fds (462 bytes, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-10-10 20:19 UTC, Juan Orti Alcaine
no flags Details

Description Juan Orti Alcaine 2018-10-10 20:18:59 UTC
Description of problem:
Just running:

gpaste-client --reverse

Version-Release number of selected component:
gpaste-3.30.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        gpaste-client --reverse
crash_function: g_paste_history
executable:     /usr/bin/gpaste-client
journald_cursor: s=9b0030f6ba5d4923a83158d28f46f670;i=11714c;b=d867542d15e04dee84d3e46995407a6a;m=1a4858867;t=577e585ed5715;x=830c7c6dc010b2f8
kernel:         4.18.12-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 g_paste_history at src/client/gpaste-client.c:296
 #1 g_paste_dispatch at src/client/gpaste-client.c:760

Comment 1 Juan Orti Alcaine 2018-10-10 20:19:04 UTC
Created attachment 1492691 [details]
File: backtrace

Comment 2 Juan Orti Alcaine 2018-10-10 20:19:06 UTC
Created attachment 1492692 [details]
File: cgroup

Comment 3 Juan Orti Alcaine 2018-10-10 20:19:07 UTC
Created attachment 1492693 [details]
File: core_backtrace

Comment 4 Juan Orti Alcaine 2018-10-10 20:19:08 UTC
Created attachment 1492694 [details]
File: cpuinfo

Comment 5 Juan Orti Alcaine 2018-10-10 20:19:10 UTC
Created attachment 1492695 [details]
File: dso_list

Comment 6 Juan Orti Alcaine 2018-10-10 20:19:11 UTC
Created attachment 1492696 [details]
File: environ

Comment 7 Juan Orti Alcaine 2018-10-10 20:19:12 UTC
Created attachment 1492697 [details]
File: exploitable

Comment 8 Juan Orti Alcaine 2018-10-10 20:19:13 UTC
Created attachment 1492698 [details]
File: limits

Comment 9 Juan Orti Alcaine 2018-10-10 20:19:15 UTC
Created attachment 1492699 [details]
File: maps

Comment 10 Juan Orti Alcaine 2018-10-10 20:19:16 UTC
Created attachment 1492700 [details]
File: mountinfo

Comment 11 Juan Orti Alcaine 2018-10-10 20:19:18 UTC
Created attachment 1492701 [details]
File: open_fds

Comment 12 Juan Orti Alcaine 2018-10-10 20:19:19 UTC
Created attachment 1492702 [details]
File: proc_pid_status

Comment 13 Jan Vlug 2018-10-12 06:17:38 UTC
Confirming. I'm also hit by bug 1585393.

Comment 14 Chris Murphy 2019-04-10 17:31:32 UTC
Still a bug with gpaste-3.32.0-1.fc30

Comment 15 Ben Cotton 2019-10-31 19:37:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 21:54:51 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.